<!doctype html>
<html lang="en">
<head>    

<meta charset="utf-8">
<title>{% if page.title %}{{ page.title }} – {% endif %}{{ site.data.globals.title }}</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">

<link rel="shortcut icon" href="/favicon.ico">
<link href="https://fonts.gstatic.com" crossorigin rel="preconnect">
<link href="https://fonts.googleapis.com/css?family=PT+Serif:400,700%7CRoboto:400,400i,700,700i&amp;display=swap" rel="stylesheet">
<link rel="stylesheet" href="/assets/css/main.css?v=20211207">

{%- include meta_tags page=page %}
    
</head>
<body tabindex="0">

  <div id="page" class="site layout-{{ site.layout_style }} palette-{{ site.palette }}">

    {% include header.html %}

      {{ content }}

    {% comment %}
      <!--
      {% assign has_subscribe_is_not_empty = site.footer.has_subscribe | is_not_empty %}
      {% if has_subscribe_is_not_empty %}
        {% include subscribe.html %}
      {% endif %}
      -->
    {% endcomment %}

    {% include footer.html %}

  </div><!-- .site -->

    
    
  <!-- Scripts -->
  <script>
    
    // IE polyfills
    if (window.NodeList && !NodeList.prototype.forEach) {
        NodeList.prototype.forEach = function (callback, thisArg) {
            thisArg = thisArg || window;
            for (var i = 0; i < this.length; i++) {
                callback.call(thisArg, this[i], i, this);
            }
        };
    }
    if (typeof Object.assign !== 'function') {
      // Must be writable: true, enumerable: false, configurable: true
      Object.defineProperty(Object, "assign", {
        value: function assign(target, varArgs) { // .length of function is 2
          'use strict';
          if (target === null || target === undefined) {
            throw new TypeError('Cannot convert undefined or null to object');
          }

          var to = Object(target);

          for (var index = 1; index < arguments.length; index++) {
            var nextSource = arguments[index];

            if (nextSource !== null && nextSource !== undefined) {
              for (var nextKey in nextSource) {
                // Avoid bugs when hasOwnProperty is shadowed
                if (Object.prototype.hasOwnProperty.call(nextSource, nextKey)) {
                  to[nextKey] = nextSource[nextKey];
                }
              }
            }
          }
          return to;
        },
        writable: true,
        configurable: true
      });
    }
    //----- end polyfills -----



    // Open all external links in a new window
    document.querySelectorAll('a[href^="http"]').forEach(function(link) {
      if (!link.target)
        link.target = '_blank';
    });

    // Give all footnote-return links a tooltip
    document.querySelectorAll('.reversefootnote').forEach(function(link) {
      link.title = 'Return to article';
    });

    // Make all footnotes readable via tooltip
    document.querySelectorAll('sup > a.footnote').forEach(function (link) {
      var footnoteId = link.href.match(/#(.*)/);
      if (!footnoteId) return;
      // console.log(footnoteId, document.getElementById(footnoteId[1]))
      link.title = document.getElementById(footnoteId[1]).innerText;
    });

    // Format numbers nicely
    // (all elements with class="number-format" - these should NOT
    // contain any other content other than the raw number)
    Number.prototype.niceFormat = function(decimalPlaces) {
      if (!decimalPlaces) decimalPlaces = 0;
      return this.toLocaleString([], {minimumFractionDigits: decimalPlaces, maximumFractionDigits: decimalPlaces})
    };
    String.prototype.niceFormat = function(decimalPlaces) {
      if (!decimalPlaces) decimalPlaces = 0;
      return parseFloat(this).niceFormat(decimalPlaces);
    };
    Number.prototype.round = function(places = 2) {
      return Math.round(this * Math.pow(10, places)) / Math.pow(10, places);
    };
    document.querySelectorAll('.number-format').forEach(function(element) {
      element.innerText = element.innerText.niceFormat();
    });

  

    // parent.appendChild(node)
    // parent.insertBefore(node, reference)

    
    // My super lightweight version of jQuery
    // Has only a very minimum number of functions
    // Mainly used to wrap elements in another div
    function $(element) {
    
      if (typeof element == 'string') {
        if (element.charAt(0) == '<') {
          let el = document.createElement('div');
          el.innerHTML = element;
          element = el.firstChild;
        } else {
          element = document.querySelectorAll(element);
        }
      }
    
      return Object.assign(element, {
        wrapWith: function(htmlString) {
          //this.forEach(function(el) {
          var el = this;
            // Create wrapper element
            let wrapper = $(htmlString);
            // Add wrapper prior to current object
            el.parentNode.insertBefore(wrapper, el);
            // Then add object inside wrapper
            wrapper.appendChild(el);
          // });
        },
        wrapWithIfNot: function(htmlString) {
          let wrapper = $(htmlString);
          // elements = Array.from(this);
          for (let i = 0; i < this.length; i++) {
            if (this[i].parentNode.className != wrapper.className)
              $(this[i]).wrapWith(htmlString);
          }          
        }
      });
    }
    
    // Wrap videos in a DIV for better responsive sizing
    $('iframe.rumble, iframe[src^="https://www.youtube"], iframe[src^="https://www.bitchute"').wrapWithIfNot('<div class="responsive-iframe">');

    {% include toc.js %}

  </script>
  <script src="/assets/js/plugins.js"></script>
  <script src="/assets/js/main.js"></script>

  <!-- Icon fonts -->
  <link rel="stylesheet" href="/assets/css/fontawesome.min.css">
  <!--<link rel="stylesheet" href="/assets/css/brands.min.css">-->
  
  <!-- Cloudflare Web Analytics --><script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "1a472c49c9e14b3d8803888f28fd0b5a"}'></script><!-- End Cloudflare Web Analytics -->
</body> 
</html>
